Bug 196604 - k3b "action dialog settings" isn't clear
Summary: k3b "action dialog settings" isn't clear
Status: RESOLVED FIXED
Alias: None
Product: k3b
Classification: Applications
Component: GUI/Usability (show other bugs)
Version: Git
Platform: Compiled Sources Unspecified
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Sebastian Trueg
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-15 13:00 UTC by Halla Rempt
Modified: 2011-04-27 07:24 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Halla Rempt 2009-06-15 13:00:52 UTC
Version:            (using Devel)
Installed from:    Compiled sources

http://www.valdyas.org/fading/index.cgi/software/i_feel_dumb.comments -- I simply couldn't manage to figure out what button to press here.
Comment 1 Christophe Giboudeaux 2009-06-15 13:02:35 UTC
reassign :-)
Comment 2 Victor Varvaryuk 2009-06-16 10:58:58 UTC
My suggestions:
1. Keep the question dialog.
2. Rename the dialog title. My suggestion: "Action Dialog Settings" -> "Burn settings"
3. Put the buttons vertically and make a description of each choice on the right. Someone already commented on this:
Quote:
Re: I feel dumb...
MrGrim wrote on Sat, 13 Jun 2009 22:36

I'm surprised by the comments here. I found this to be one of the most useful things any KDE program has ever done for me.

Default settings is, well, the default settings. The settings that are used by default when no other are available. (e.g. app first startup)

Saved settings are the settings you save in the settings dialog. They are the settings you've saved for future use.

Last used settings is also exactly what it says it is. If you enabled cd-text or set an explicit burn speed the last time then those will persist the next time if you select this. This is a useful way to modify settings as you go based on either the current batch or just evolution of how you do things over time. It is far less of a hassle than having to navigate the settings dialog every time you want to make a minor tweak.

When k3b asked me this for the first time the first thought through my head was "thank you k3b. That's an extremely useful question to ask, and it's awesome that you're giving me the choice."

http://forum.kde.org/remove-change-action-dialog-settings-dialog-t-61852.html#pid80313
Comment 3 Michał Małek 2011-04-27 07:24:51 UTC
Git commit ac4b481cf5ee25b56271f8a4b4591ae8917f7abd by Michal Malek.
Committed on 27/04/2011 at 07:14.
Pushed by mmalek into branch 'master'.

Removed dialog asking what set of settings should be loaded at next burn.

Most of the new users are not able to answer this question sensibly. Not because they're dumb but because they don't know the application well enough and it's hard for them to forsee the consequences of their choice. For this reason the dialog is frustrating.
Now by default the saved settings will be loaded which is IMHO the best choice for most users.
BUG: 196604

M  +0    -29   src/k3binteractiondialog.cpp     

http://commits.kde.org/k3b/ac4b481cf5ee25b56271f8a4b4591ae8917f7abd